﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
     
        <telerik:RadCodeBlock ID="CodeBlock" runat="server">

            <script type="text/javascript">
            
                function onFocus()
                {
                    
                     var hiddenField = document.getElementById("hiddenField");
                     hiddenField.value = window.event.srcElement.id;
                     
                }
                
                function pageLoad()
                {                 
                    var hiddenField = document.getElementById("hiddenField");
                    
                    if (hiddenField.value !== "")
                    {
                        var box = document.getElementById(hiddenField.value);
                        box.focus();
                        box.select();
                       
                    }
                }
            
            </script>

        </telerik:RadCodeBlock>

                <div>
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="EmployeeID" DataSourceID="SqlDataSource1">
                        <EditItemTemplate>
                            EmployeeID:
                            <asp:Label ID="EmployeeIDLabel1" runat="server" Text='<%# Eval("EmployeeID") %>'>
                            </asp:Label><br />
                            LastName:
                            <asp:TextBox ID="LastNameTextBox" runat="server" Text='<%# Bind("LastName") %>'>
                            </asp:TextBox><br />
                            FirstName:
                            <asp:TextBox ID="FirstNameTextBox" runat="server" Text='<%# Bind("FirstName") %>'>
                            </asp:TextBox><br />
                            City:
                            <asp:TextBox ID="CityTextBox" runat="server" Text='<%# Bind("City") %>'>
                            </asp:TextBox><br />
                            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                                Text="Update">
                            </asp:LinkButton>
                            <asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                Text="Cancel">
                            </asp:LinkButton>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            LastName:
                            <asp:TextBox ID="LastNameTextBox" runat="server" Text='<%# Bind("LastName") %>'>
                            </asp:TextBox><br />
                            FirstName:
                            <asp:TextBox ID="FirstNameTextBox" runat="server" Text='<%# Bind("FirstName") %>'>
                            </asp:TextBox><br />
                            City:
                            <asp:TextBox ID="CityTextBox" runat="server" Text='<%# Bind("City") %>'>
                            </asp:TextBox><br />
                            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                                Text="Insert">
                            </asp:LinkButton>
                            <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                Text="Cancel">
                            </asp:LinkButton>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            <br />
                    EmployeeID
                    <br />
                    <asp:TextBox ID="TextBox1" AutoPostBack="True" runat="server" onfocus="return onFocus();" OnTextChanged="TextBox_TextChanged" Text='<%# Bind("EmployeeID", "{0}") %>'></asp:TextBox>
                    <br />
                    LastName:
                    <br />
                    <asp:TextBox ID="TextBox2" AutoPostBack="True" onfocus="return onFocus();" runat="server" OnTextChanged="TextBox_TextChanged" Text='<%# Bind("LastName") %>'></asp:TextBox>
                    <br />
                    FirstName:
                    <br />
                    <asp:TextBox ID="TextBox3" onfocus="return onFocus();" OnTextChanged="TextBox_TextChanged"  runat="server" AutoPostBack="True" Text='<%# Bind("FirstName") %>'></asp:TextBox>
                    <br />
                    City:
                    <br />
                    <asp:TextBox ID="TextBox4" AutoPostBack="True" onfocus="return onFocus();" runat="server" OnTextChanged="TextBox_TextChanged" Text='<%# Bind("City") %>'></asp:TextBox>
                    <br />
                        </ItemTemplate>
                    </asp:FormView>
                    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                        SelectCommand="SELECT [EmployeeID], [LastName], [FirstName], [City] FROM [Employees]">
                    </asp:SqlDataSource>
                   <asp:HiddenField runat="server" ID="hiddenField" />
                   <asp:Label ID="labelTextChanged" ForeColor="red" runat="server"></asp:Label>
                    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
                        <AjaxSettings>
                            <telerik:AjaxSetting AjaxControlID="FormView1">
                                <UpdatedControls>
                                    <telerik:AjaxUpdatedControl ControlID="FormView1" />
                                    <telerik:AjaxUpdatedControl ControlID="hiddenField" />
                                    <telerik:AjaxUpdatedControl ControlID="labelTextChanged" />
                                </UpdatedControls>
                            </telerik:AjaxSetting>
                        </AjaxSettings>
                    </telerik:RadAjaxManager>
                </div>

    </form>
</body>
</html>
